Update a custom response
curl --request PUT \
--url https://api.sandbox.asapp.com/autocompose/v1/responses/customs/response/{responseId} \
--header 'Content-Type: application/json' \
--header 'asapp-api-id: <api-key>' \
--header 'asapp-api-secret: <api-key>' \
--data '
{
"text": "fold text",
"title": "folder title",
"folderId": "123"
}
'import requests
url = "https://api.sandbox.asapp.com/autocompose/v1/responses/customs/response/{responseId}"
payload = {
"text": "fold text",
"title": "folder title",
"folderId": "123"
}
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'asapp-api-id': '<api-key>',
'asapp-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({text: 'fold text', title: 'folder title', folderId: '123'})
};
fetch('https://api.sandbox.asapp.com/autocompose/v1/responses/customs/response/{responseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}Responses
Update a custom response
Update a specific custom response for an agent
PUT
/
autocompose
/
v1
/
responses
/
customs
/
response
/
{responseId}
Update a custom response
Path Parameters
Identifier of the response, data format is expected to be UUID
Query Parameters
Identifier of the agent, data format is expected to be UUID
Body
application/json
The custom response to be updated
The text of the response
The title of the response
the ID of the folder the response belongs to (used for custom responses).
free-form metadata, in the form of a map of keys to lists of allowed values for each key, that can be added to any response. At least one of the values in the list for each key included here must match what gets sent when requesting suggestions, so that responses can be filtered appropriately.
Show child attributes
Show child attributes
Response
Was this page helpful?
⌘I